ReactPhysics3D: reactphysics3d::BallAndSocketJointInfo Struct Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
reactphysics3d::BallAndSocketJointInfo Struct Reference

This structure is used to gather the information needed to create a ball-and-socket joint. More...

`#include <include/reactphysics3d/constraint/BallAndSocketJoint.h>`

Inheritance diagram for reactphysics3d::BallAndSocketJointInfo:

## Public Member Functions
| BallAndSocketJointInfo (RigidBody *rigidBody1, RigidBody *rigidBody2, const Vector3 &initAnchorPointWorldSpace)
| Constructor.
| BallAndSocketJointInfo (RigidBody *rigidBody1, RigidBody *rigidBody2, const Vector3 &anchorPointBody1LocalSpace, const Vector3 &anchorPointBody2LocalSpace)
| Constructor.
Public Member Functions inherited from reactphysics3d::JointInfo
| JointInfo (JointType constraintType)
| Constructor.
| JointInfo (RigidBody *rigidBody1, RigidBody *rigidBody2, JointType constraintType)
| Constructor.
virtual | ~JointInfo ()=default
| Destructor.

## Public Attributes
bool | isUsingLocalSpaceAnchors
| True if this object has been constructed using local-space anchors.
Vector3 | anchorPointWorldSpace
| Anchor point (in world-space coordinates)
Vector3 | anchorPointBody1LocalSpace
| Anchor point on body 1 (in local-space coordinates)
Vector3 | anchorPointBody2LocalSpace
| Anchor point on body 2 (in local-space coordinates)
Public Attributes inherited from reactphysics3d::JointInfo
RigidBody * | body1
| First rigid body of the joint.
RigidBody * | body2
| Second rigid body of the joint.
JointType | type
| Type of the joint.
JointsPositionCorrectionTechnique | positionCorrectionTechnique
| Position correction technique used for the constraint (used for joints).
bool | isCollisionEnabled
| True if the two bodies of the joint are allowed to collide with each other.

## Detailed Description

This structure is used to gather the information needed to create a ball-and-socket joint.

This structure will be used to create the actual ball-and-socket joint.

## Constructor & Destructor Documentation

## ◆ BallAndSocketJointInfo() [1/2]

reactphysics3d::BallAndSocketJointInfo::BallAndSocketJointInfo | ( | RigidBody * | rigidBody1,
|  | RigidBody * | rigidBody2,
|  | const Vector3 & | initAnchorPointWorldSpace )
| inline

Constructor.

Parameters

  rigidBody1 | Pointer to the first body of the joint
  rigidBody2 | Pointer to the second body of the joint
  initAnchorPointWorldSpace | The anchor point in world-space coordinates

## ◆ BallAndSocketJointInfo() [2/2]

reactphysics3d::BallAndSocketJointInfo::BallAndSocketJointInfo | ( | RigidBody * | rigidBody1,
|  | RigidBody * | rigidBody2,
|  | const Vector3 & | anchorPointBody1LocalSpace,
|  | const Vector3 & | anchorPointBody2LocalSpace )
| inline

Constructor.

Parameters

  rigidBody1 | Pointer to the first body of the joint
  rigidBody2 | Pointer to the second body of the joint
  anchorPointBody1LocalSpace | The anchor point on body 1 in local-space coordinates
  anchorPointBody2LocalSpace | The anchor point on body 2 in local-space coordinates

The documentation for this struct was generated from the following file:

- include/reactphysics3d/constraint/BallAndSocketJoint.h